Bug 13062 - add qla1280 driver to kernel
add qla1280 driver to kernel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks: 13131
  Show dependency treegraph
 
Reported: 2000-06-26 11:16 EDT by Matt Domsch
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-27 17:37:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qla1x80 v3.10 driver files (179.50 KB, application/octet-stream)
2000-07-24 17:45 EDT, Matt Domsch
no flags Details
qla1280.c v3.12 (222.14 KB, text/plain)
2000-07-25 23:09 EDT, Matt Domsch
no flags Details

  None (edit)
Description Matt Domsch 2000-06-26 11:16:07 EDT
Please add the qla1280 driver, which supports the QLogic 1280 and 12160 
SCSI HBAs, to the kernel.  Patch to kernel 2.2.16 was 
submitted by QLogic on 6/23/00, and is attached to bug #13059.
Comment 1 Matt Domsch 2000-07-24 17:45:59 EDT
Created attachment 1499 [details]
qla1x80 v3.10 driver files
Comment 2 Matt Domsch 2000-07-24 17:47:09 EDT
(that's a .tar.gz file)
Comment 3 Matt Domsch 2000-07-25 23:09:17 EDT
Created attachment 1554 [details]
qla1280.c v3.12
Comment 4 Matt Domsch 2000-07-25 23:09:58 EDT
-----Original Message-----
From: Domsch, Matt 
Sent: Tuesday, July 18, 2000 5:06 PM
To: 'notting@redhat.com'; 'dledford@redhat.com'
Cc: 'bj_nima@qlc.com'
Subject: FW: qla1280 driver update [[ Important Change Added ]] {{ Plea
se Read }}
Importance: High


Doug and Bill, here's an updated qla1280.c file.  Bill changed it a bit, then 
BJ changed it a bit.  This *should* be good to go for both 2.2 and 2.4 kernels.

Thanks,
Matt

-----Original Message-----
From: BJ Nima [mailto:bj_nima@qlc.com]
Sent: Tuesday, July 18, 2000 4:57 PM
To: 'Matt_Domsch@Dell.com'
Cc: Duane Grigsby
Subject: FW: qla1280 driver update [[ Important Change Added ]] {{ Plea
se Read }}
Importance: High


Matt,

After incorporating the patch to qla1280.c you forwarded
from RedHat today; I found that it had broken older RH 6.1
and 6.2 support of the driver! 

The module would not use correct pci address and it would
try to initialize the device at pci_address+1 location.

Please see attached source file.

I have added comments at top of file to bring to version 3.12
and restored a clean up of pci chip address after it has been
read in from OS.

This code addition is now at line#937 of attached source file
and it needs to be sent to RedHat for update as early as possible.

Please reply and confirm your receipt of this e-mail.


Thanks very much.

bj nima

qlogic

 <<qla1280.c>> 
Comment 5 Matt Domsch 2000-07-27 17:37:17 EDT
driver v3.12 is in kernel 2.2.16-17.

Note You need to log in before you can comment on or make changes to this bug.